io.undertow.server.handlers.proxy

## Class ProxyHandler.Builder

- java.lang.Object
- - io.undertow.server.handlers.proxy.ProxyHandler.Builder

Enclosing class:
  ProxyHandler

    public static class ProxyHandler.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ProxyHandler.Builder` `addRequestHeader(HttpString header, ExchangeAttribute value)`
`ProxyHandler` `build()`
`Predicate` `getIdempotentRequestPredicate()`
`int` `getMaxConnectionRetries()`
`int` `getMaxRequestTime()`
`HttpHandler` `getNext()`
`ProxyClient` `getProxyClient()`
`Map<HttpString,ExchangeAttribute>` `getRequestHeaders()`
`boolean` `isReuseXForwarded()`
`boolean` `isRewriteHostHeader()`
`ProxyHandler.Builder` `setIdempotentRequestPredicate(Predicate idempotentRequestPredicate)`
`ProxyHandler.Builder` `setMaxConnectionRetries(int maxConnectionRetries)`
`ProxyHandler.Builder` `setMaxRequestTime(int maxRequestTime)`
`ProxyHandler.Builder` `setNext(HttpHandler next)`
`ProxyHandler.Builder` `setProxyClient(ProxyClient proxyClient)`
`ProxyHandler.Builder` `setReuseXForwarded(boolean reuseXForwarded)`
`ProxyHandler.Builder` `setRewriteHostHeader(boolean rewriteHostHeader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProxyClient

    public ProxyClient getProxyClient()

#### setProxyClient

    public ProxyHandler.Builder setProxyClient(ProxyClient proxyClient)

#### getMaxRequestTime

    public int getMaxRequestTime()

#### setMaxRequestTime

    public ProxyHandler.Builder setMaxRequestTime(int maxRequestTime)

#### getRequestHeaders

    public Map<HttpString,ExchangeAttribute> getRequestHeaders()

#### addRequestHeader

    public ProxyHandler.Builder addRequestHeader(HttpString header,
                                                 ExchangeAttribute value)

#### getNext

    public HttpHandler getNext()

#### setNext

    public ProxyHandler.Builder setNext(HttpHandler next)

#### isRewriteHostHeader

    public boolean isRewriteHostHeader()

#### setRewriteHostHeader

    public ProxyHandler.Builder setRewriteHostHeader(boolean rewriteHostHeader)

#### isReuseXForwarded

    public boolean isReuseXForwarded()

#### setReuseXForwarded

    public ProxyHandler.Builder setReuseXForwarded(boolean reuseXForwarded)

#### getMaxConnectionRetries

    public int getMaxConnectionRetries()

#### setMaxConnectionRetries

    public ProxyHandler.Builder setMaxConnectionRetries(int maxConnectionRetries)

#### getIdempotentRequestPredicate

    public Predicate getIdempotentRequestPredicate()

#### setIdempotentRequestPredicate

    public ProxyHandler.Builder setIdempotentRequestPredicate(Predicate idempotentRequestPredicate)

#### build

    public ProxyHandler build()